ZZIP_READDIR(3)

NAME
zzip_readdir - read dir.

SYNOPSIS

#include <zzip/lib.h>

ZZIP_DIRENT * zzip_readdir((ZZIP_DIR * dir));

DESCRIPTION

The zzip_readdir function is the equivalent of a readdir(2) for a realdir or a zipfile referenced by the ZZIP_DIR returned from zzip_opendir.

The ZZIP_DIR handle (as returned by zzip_opendir) contains a few more entries than being copied into the ZZIP_DIRENT. The only valid fields in a ZZIP_DIRENT are d_name (the file name), d_compr (compression), d_csize (compressed size), st_size (uncompressed size).

AUTHOR

    • Guido Draheim <guidod@gmx.de>

COPYRIGHT

Copyright (c) Guido Draheim, use under copyleft (LGPL,MPL)